Package com.verisign.epp.codec.launchpolicy.v01

## Class EPPLaunchPolicyCreate

- java.lang.Object
- - com.verisign.epp.codec.launchpolicy.v01.EPPLaunchPolicyZoneContainer
  - - com.verisign.epp.codec.launchpolicy.v01.EPPLaunchPolicyCreate

- All Implemented Interfaces:
    `EPPCodecComponent`, `java.io.Serializable`, `java.lang.Cloneable`

      public class EPPLaunchPolicyCreate
      extends EPPLaunchPolicyZoneContainer

  Launch Policy Create Extension that enables a client to pass the launch policy information with a registry create command.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ELM_LOCALNAME` | XML local name for `EPPLaunchPolicyCreate`.
    `static java.lang.String` | `ELM_NAME` | XML root tag for `EPPLaunchPolicyCreate`.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EPPLaunchPolicyCreate()` | Creates an empty `EPPLaunchPolicyCreate` object.
    `EPPLaunchPolicyCreate​(EPPLaunchPolicyZone aZone)` | Creates a new `EPPLaunchPolicyCreate` object that will create the launch policy for a zone.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected java.lang.String` | `getLocalName()` | Returns the local name "create" for the create extension.
    `protected org.slf4j.Logger` | `getLogger()` | Returns the `Logger` to use in `EPPLaunchPolicyZoneContainer`.

    - ### Methods inherited from class com.verisign.epp.codec.launchpolicy.v01.EPPLaunchPolicyZoneContainer

      `clone, decode, encode, equals, getNamespace, getZone, setZone, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      XML local name for `EPPLaunchPolicyCreate`.
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      XML root tag for `EPPLaunchPolicyCreate`.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPLaunchPolicyCreate

          public EPPLaunchPolicyCreate()

      Creates an empty `EPPLaunchPolicyCreate` object. `zone` is set to `null`. Use `setZone` to set `zone` attribute before sending the create command.

    - #### EPPLaunchPolicyCreate

          public EPPLaunchPolicyCreate​(EPPLaunchPolicyZone aZone)

      Creates a new `EPPLaunchPolicyCreate` object that will create the launch policy for a zone.
      Parameters:
        `aZone` - Instance of `EPPLaunchPolicyZone` to create

  - ### Method Detail

    - #### getLocalName

          protected java.lang.String getLocalName()

      Returns the local name "create" for the create extension.
      Specified by:
        `getLocalName` in class `EPPLaunchPolicyZoneContainer`
      Returns:
        Local name "create" for the create extension.

    - #### getLogger

          protected org.slf4j.Logger getLogger()

      Returns the `Logger` to use in `EPPLaunchPolicyZoneContainer`.
      Specified by:
        `getLogger` in class `EPPLaunchPolicyZoneContainer`
      Returns:
        `Logger` to use